v1.0.0
OpenAPI 3.1.0
Delete a segment
Client Libraries
US region
Delete a manual segment. You can't delete a data-driven or snapshot segment with this request. You also can't delete a manual segment used in another segment, an automation, an unsent one-time send, or a SQL import.
The identifier for a segment. You can find your segment's ID on its page in the dashboard—go to Segments, select your segment, and find the ID under Usage. Or you can find your segment using the App API.
The segment is deleted.
The segment_id does not exist.
Customer.io can't delete the segment. This may be because it's a data-driven or snapshot segment, or because something else in your workspace uses it.
curl https://api.customer.io/v1/segments/1 \
--request DELETE \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
The segment is deleted.